package com.liang.controller;

import com.liang.entity.SysLoginLog;
import com.liang.service.SysLoginLogService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * (SysLoginLog)表控制层
 *
 * @author makejava
 * @since 2023-02-19 21:37:38
 */
@RestController
@RequestMapping("sysLoginLog")
public class SysLoginLogController {
    /**
     * 服务对象
     */
    @Resource
    private SysLoginLogService sysLoginLogService;

    /**
     * 分页查询
     *
     * @param sysLoginLog 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @GetMapping
    public ResponseEntity<Page<SysLoginLog>> queryByPage(SysLoginLog sysLoginLog, PageRequest pageRequest) {
        return ResponseEntity.ok(this.sysLoginLogService.queryByPage(sysLoginLog, pageRequest));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public ResponseEntity<SysLoginLog> queryById(@PathVariable("id") String id) {
        return ResponseEntity.ok(this.sysLoginLogService.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param sysLoginLog 实体
     * @return 新增结果
     */
    @PostMapping
    public ResponseEntity<SysLoginLog> add(SysLoginLog sysLoginLog) {
        return ResponseEntity.ok(this.sysLoginLogService.insert(sysLoginLog));
    }

    /**
     * 编辑数据
     *
     * @param sysLoginLog 实体
     * @return 编辑结果
     */
    @PutMapping
    public ResponseEntity<SysLoginLog> edit(SysLoginLog sysLoginLog) {
        return ResponseEntity.ok(this.sysLoginLogService.update(sysLoginLog));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @DeleteMapping
    public ResponseEntity<Boolean> deleteById(String id) {
        return ResponseEntity.ok(this.sysLoginLogService.deleteById(id));
    }

}

